Class | EimXML::Matchers::HaveContent
In: | lib/eim_xml/matcher.rb
Parent: | Object

### Methods

failure_message matches? negative_failure_message new

### Public Class methods

new(expected)

[Source]

       # File lib/eim_xml/matcher.rb, line 4
    4:                 def initialize(expected)
    5:                         @expected = expected
    6:                 end

### Public Instance methods

failure_message()

[Source]

        # File lib/eim_xml/matcher.rb, line 13
    13:                 def failure_message
    14:                         "expected #{@target.inspect} must have #{@expected}, but not."
    15:                 end

matches?(target)

[Source]

        # File lib/eim_xml/matcher.rb, line 8
     8:                 def matches?(target)
     9:                         @target = target
    10:                         @target.has?(@expected)
    11:                 end

negative_failure_message()

[Source]

        # File lib/eim_xml/matcher.rb, line 17
    17:                 def negative_failure_message
    18:                         "expected #{@target.inspect} must not have #{@expected}, but has."
    19:                 end

[Validate]